| Home | Libraries | People | FAQ | More

## Struct template result<This(Cont, Size, A0, A1), typename enable_if< is_integral< UNCVREF(Size)> >::type>

boost::xpressive::op::insert::result<This(Cont, Size, A0, A1), typename enable_if< is_integral< UNCVREF(Size)> >::type>

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename This, typename Cont, typename Size, typename A0,
             typename A1>
    struct result<This(Cont, Size, A0, A1), typename enable_if< is_integral< UNCVREF(Size)> >::type> {

      // public member functions
      typedef UNREF(Cont);
    };

## Description

### `result` public member functions

1.     typedef UNREF(Cont);